# Masking Imputing Aggregation (MIA)

## Alias
|Alias|Meaning|
|-|-|
|IAP|Impute And Predict|
|IAC|Impute And Classify|
|TSC|Time Series Classification|
|TSF|Time Series Forecasting|
|RS|Random Smoothing|
|RT|Random Training|

## MIA for Time Series Forecasting (TSF)
- Given a time series
- Mask it consecutively, then we can get $N$ masked time series
- Impute $N$ masked time series
- Forecaste each of $N$ imputed time series, calculate the statistics of each forecasting result
- Vote

## MIA for Time Series Classification (TSC)
- Given a time series
- Mask it consecutively, then we can get $N$ masked time series
- Impute $N$ masked time series
- Classify each of $N$ imputed time series, get the predicting label
- Vote